# Uses of Class
org.apache.avro.idl.IdlParser.EnumDeclarationContext

## Uses of IdlParser.EnumDeclarationContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.EnumDeclarationContext
Modifier and Type
Method
Description
`final IdlParser.EnumDeclarationContext`
IdlParser.`enumDeclaration()`
`IdlParser.EnumDeclarationContext`
IdlParser.NamedSchemaDeclarationContext.`enumDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.EnumDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
IdlListener.`enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
IdlBaseListener.`exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
IdlListener.`exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.enumDeclaration()`.